DistributionContainer (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.distribution

## Interface DistributionContainer

- All Superinterfaces:
    `java.util.Collection<Distribution>`, `org.gradle.util.Configurable<Distribution>`, `DomainObjectCollection<Distribution>`, `java.lang.Iterable<Distribution>`, `NamedDomainObjectCollection<Distribution>`, `NamedDomainObjectContainer<Distribution>`, `NamedDomainObjectSet<Distribution>`, `java.util.Set<Distribution>`

      public interface DistributionContainer
      extends NamedDomainObjectContainer<Distribution>

  A `DistributionContainer` manages a set of `Distribution` objects.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, of, of, of, of, of, of, of, of, of, of, of, of, remove, removeAll, retainAll, size, spliterator, toArray, toArray`